org.eclipse.oomph.setup

## Interface SetupTaskContext

- All Superinterfaces:
    ProgressLog

      public interface SetupTaskContext
      extends ProgressLog

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.oomph.setup.log.ProgressLog

      `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkCancelation()`
    `Object` | `get(Object key)`
    `Installation` | `getInstallation()`
    `File` | `getInstallationLocation()`
    `OS` | `getOS()`
    `File` | `getProductConfigurationLocation()`
    `File` | `getProductLocation()`
    `org.eclipse.oomph.internal.setup.SetupPrompter` | `getPrompter()`
    `Trigger` | `getTrigger()`
    `URIConverter` | `getURIConverter()`
    `User` | `getUser()`
    `Workspace` | `getWorkspace()`
    `File` | `getWorkspaceLocation()`
    `boolean` | `isMirrors()`
    `boolean` | `isOffline()`
    `boolean` | `isPerforming()`
    `boolean` | `isRestartNeeded()`
    `Set<Object>` | `keySet()`
    `Object` | `put(Object key, Object value)`
    `String` | `redirect(String uri)`
    `URI` | `redirect(URI uri)`
    `void` | `setRestartNeeded(String reason)`

    - ### Methods inherited from interface org.eclipse.oomph.setup.log.ProgressLog

      `isCanceled, log, log, log, log, setTerminating, task`

- - ### Method Detail

    - #### getPrompter

          org.eclipse.oomph.internal.setup.SetupPrompter getPrompter()

    - #### getTrigger

          Trigger getTrigger()

    - #### checkCancelation

          void checkCancelation()

    - #### isPerforming

          boolean isPerforming()

    - #### isOffline

          boolean isOffline()

    - #### isMirrors

          boolean isMirrors()

    - #### isRestartNeeded

          boolean isRestartNeeded()

    - #### setRestartNeeded

          void setRestartNeeded(String reason)

    - #### getUser

          User getUser()

    - #### getWorkspace

          Workspace getWorkspace()

    - #### getInstallation

          Installation getInstallation()

    - #### getInstallationLocation

          File getInstallationLocation()

    - #### getProductLocation

          File getProductLocation()

    - #### getProductConfigurationLocation

          File getProductConfigurationLocation()

    - #### getWorkspaceLocation

          File getWorkspaceLocation()

    - #### getOS

          OS getOS()

    - #### getURIConverter

          URIConverter getURIConverter()

    - #### redirect

          URI redirect(URI uri)

    - #### redirect

          String redirect(String uri)

    - #### get

          Object get(Object key)

    - #### put

          Object put(Object key,
                   Object value)

    - #### keySet

          Set<Object> keySet()

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html